.\" $NetBSD: tc.4,v 1.3 2001/09/22 16:36:21 wiz Exp $
.\"
.\" Copyright (c) 1996, 1997 Jonathan Stone.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Jonathan Stone.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 12, 2001
.Dt TC 4
.Os
.Sh NAME
.Nm tc
.Nd TURBOchannel expansion bus driver
.Sh SYNOPSIS
.Ss alpha
.Cd "tc* at tcasic?"
.Ss pmax
.Cd "tc* at mainbus0"
.Sh DESCRIPTION
The
.Nm
driver provides machine-independent support for the DEC TURBOchannel
expansion bus found on all DEC 5000-series machines with MIPS and DEC
3000-series with Alpha processors.
.Pp
Your system may support additional
.Tn TURBOchannel
devices.  Drivers for
.Tn TURBOchannel
devices not listed here are machine-dependent.
Consult your system's
.Xr intro 4
for additional information.
.Sh HARDWARE
.Nx
includes machine-independent
.Tn TURBOchannel
drivers, sorted by device type and driver name:
.Ss SCSI interfaces
.Bl -tag -width pcdisplay -offset indent
.It asc
PMAZ-A single-channel SCSI adapter
.It tcds
PMAZ-DS, PMAZ-FS, PMAZB-AA and PMAZC-AA dual-channel SCSI adapters
.El
.Ss Network interfaces
.Bl -tag -width pcdisplay -offset indent
.It fta
PMAF-F DEFTA FDDI controller
.It le
LANCE Ethernet interface
.El
.Ss Frame buffers
.Bl -tag -width pcdisplay -offset indent
.It cfb
PMAG-B CX colour unaccelerated 2-D framebuffer
.It mfb
PMAG-A MX monochrome framebuffer
.It px
PMAG-C PX accelerated graphics boards
.It pxg
PMAG-D, PMAG-E and PMAG-F PXG accelerated graphics
boards
.It sfb
PMAGB-BA HX colour unaccelerated 2-D framebuffer
.It tfb
PMAG-J TX 24-bit colour unaccelerated 2-D framebuffer
.El
.Ss Miscellaneous
.Bl -tag -width pcdisplay -offset indent
.It ioasic
baseboard IO control ASIC for DEC TURBOchannel systems
.El
.Sh SEE ALSO
.Xr asc 4 ,
.Xr cfb 4 ,
.Xr fta 4 ,
.Xr intro 4 ,
.Xr ioasic 4 ,
.Xr le 4 ,
.Xr mfb 4 ,
.Xr px 4 ,
.Xr pxg 4 ,
.Xr sfb 4 ,
.Xr tcds 4 ,
.Xr tfb 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.1 .
.Sh BUGS
The
.Nm
driver makes poor use of interrupt priority on the 5000/1xx series
systems.
